#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Tue Aug 18 12:39:50 2020

@author: lukasm
"""
from ngsolve import *
from netgen.geom2d import unit_square
from ngsgui import *

mesh = Mesh(unit_square.GenerateMesh(maxh=0.2))
scene = Draw (mesh)

fes = H1(mesh, order=3, dirichlet="left|right|bottom|top")
print ("ndof =", fes.ndof)

u = fes.TrialFunction()
v = fes.TestFunction()

f = LinearForm(fes)
f += 32*(y*(1-y)+x*(1-x))*v*dx

a = BilinearForm(fes)
a += grad(u)*grad(v)*dx

a.Assemble()
f.Assemble()

gfu = GridFunction(fes)
gfu.vec.data = a.mat.Inverse(fes.FreeDofs()) * f.vec

scene2 = Draw (gfu, mesh)
#scene2.setColormapMax(.8) #leads to error: 'SpyderKernel' object has no attribute 'send_spyder_msg'  


